==============
Version 3.38.1
==============

* No functional changes

==============
Version 3.38.0
==============

* Add GioUnix-2.0 dependency to introspect libmenu
* Translation updates

==============
Version 3.36.0
==============

* Translation updates

==============
Version 3.35.3
==============

* Fix Seahorse not appearing under Utilities category
* Add Simple Scan and Usage to Utilities category
* Translation updates

Contributors:
 Michael Catanzaro

==============
Version 3.32.0
==============

* Translation updates

===============
Version 3.31.92
===============

* Stop using gnome-common (Javier)
* Add nm-connection-editor to the Utilities category (Kalev)
* Restore minimal Sundry app folder for upgrades. Users can remove it
  by running gsettings reset-recursively org.gnome.desktop.app-folders
  and logging out and logging back in. (Jeremy)
* Translation updates

Contributors:
 Jeremy Bicha, Javier Jardón, Kalev Lember

===============
Version 3.31.90
===============

* Fix missing close tag that broke traditional menu users (Jeremy)
* Add CI to check the validity of our menu file so we don't make
  that mistake as easily next time (Jeremy)
* Add gnome-abrt to the Utilities category (Kalev)
* Translation updates

Contributors:
 Jeremy Bicha, Kalev Lember

==============
Version 3.31.4
==============

* Remove the Sundry category (Jeremy)
* Switch to modern realpath (Pino)
* Stop using intltool (Alberts)
* Translation updates

Contributors:
 Jeremy Bicha, Alberts Muktupāvels, Pino Toscano

==============
Version 3.31.3
==============

* desktop-entries: support multiple desktops in XDG_CURRENT_DESKTOP (Alberts)
* libmenu: Remove support for legacy-dirs (Florian)
* layout: Update .desktop filenames (Jeremy)
* layout: Drop obsolete Fedora special case .desktop filenames (Jeremy)
* miscellaneous fixes (Andre, Josselin)

Contributors:
 Jeremy Bicha, Andre Klapper, Josselin Mouette, Alberts Muktupāvels
 Florian Müllner

==============
Version 3.13.3
==============

        * Fix some crashes
        * Fix some refcounting bugs
        * Fix some leaks
        * Add some small effiencies to our notify handlers

Translation updates:

        * Alexander Shopov
        * Anders Jonsson
        * Anish A
        * Claude Paroz
        * Dimitris Spingos
        * GunChleoc
        * Khoem Sokhem
        * Shankar Prasad
        * Theppitak Karoonboonyanan
        * Tom Tryfonidis

==============
Version 3.10.1
==============

	* Don't put gnome-control-center in Utilities (707037)
	* Exclude gnome-terminal from System Tools (708467)

==============
Version 3.10.0
==============

        * Correct name of gnome-calculator
        * Fix issues with apps incorrectly showing up in Other

Translation updates:

        * Cheng-Chia Tseng
        * Daniel Șerbănescu
        * Friedel Wolff
        * Nik Kalach
        * Ozan Çağlayan
        * Ryan Lortie
        * Seán de Búrca
        * Trần Ngọc Quân
        * Victor Ibragimov
        * Wojciech Szczęsny
        * Wylmer Wang
        * Yaron Shahrabani

=============
Version 3.8.0
=============

        * Add more java things to sundry
        * Add im-chooser, power statistics and personal file
          sharing to sundry
        * Remove special-casing for Fedora vendor prefixdd
        * Translation updates

==============
Version 3.7.90
==============

Bugs Fixed:
        * Fix error reporting
        * Memory leak fixes (William John McCann)
        * Remove the simple editor (William John McCann)
        * New menu layout for gnome-shell tweaks (William John McCann,
          Florian Muellner, Jasper St. Pierre)
        * Remove old gnome-control-center files (Jasper St. Pierre)

Translation updates:
        * Alexandre Franke
        * Fabio Tomat
        * Inaki Larranaga Murgoitio
        * Piotr Drąg
        * William Jon McCann

=============
Version 3.6.2
=============

* 688972 call menu_layout_load() with non_prefixed_name parameter
* Translation updates (Arabic, Kannada, Uyghur)

=============
Version 3.6.1
=============

* Translation updates (Catalan, Catalan (Valencian), Ukrainian,
  Aragonese, Slovak, Uzbek)

=============
Version 3.6.0
=============

* Translation updates

==============
Version 3.5.92
==============

  libmenu

	* Add proper header reference to GMenu-3.0.gir (Rico Tzschichholz)

  Translators

	* Nilamdyuti Goswami (as)
	* Petr Kovar (cs)
	* Peter Bach (da)
	* Bruce Cowan (en_GB)
	* Arash Mousavi (fa)
	* Jiri Grönroos (fi)
	* Claude Paroz (fr)
	* Leandro Regueiro (gl)
	* Gabor Kelemen (hu)
	* Dirgita (id)
	* Milo Casagrande (it)
	* Changwoo Ryu (ko)
	* Aurimas Černius (lt)
	* Sandeep Shedmake (mr)
	* A S Alam (pa)
	* Piotr Drąg (pl)
	* Duarte Loreto (pt)
	* Daniel Nylander (sv)
	* Dr.T.Vasudevan (ta)
	* Theppitak Karoonboonyanan (th)
	* Muhammet Kara (tr)
	* Nguyễn Thái Ngọc Duy (vi)
	* Chrovex Fan (zh_CN)

=============
Version 3.5.5
=============

Translations Updates:

        * Traditional Chinese (Chao-Hsiung Liao)
        * German (Tobias Endrigkeit)
        * Kazakh (Baurzhan Muftakhidinov)
        * Silesian (Przemysław Buczkowski)
        * Gujarati (Sweta Kothari)
        * Serbian (Мирослав Николић)

=============
Version 3.5.4
=============

Translations Updates

        * Belarusian (Alexander Shopov)

=============
Version 3.5.3
=============

libmenu

        * Fix scanner warnings (Colin Walters)
        * Add gmenu_tree_iter_get_separator (Jasper St. Pierre)
        * Add a recursive NoDisplay getter (Jasper St. Pierre)
        * Add a way to get a GMenuTree from a GMenuTreeItem (Jasper St. Pierre)
        * Add a way to get the parent item for a GMenuTreeItem (Jasper St. Pierre)

Translations Updates

        * Belarusian (Ihar Hrachyshka)
        * Greek (Tom Tryfonidis)
        * Assamese (Nilamdyuti Goswami)
        * Telugu (Sasi Bhushan Boddepalli)

=============
Version 3.5.2
=============

Layout

        * Add a separate category for Web Applications (Giovanni Campagna)

libmenu

        * Add a new GMENU_TREE_FLAGS_INCLUDE_UNALLOCATED flag (Vincent Untz)

Translations

        * Bulgarian
        * Kashubian
        * Spanish
        * Galician
        * Slovenian
        * Hebrew
        * Russian
        * Norwegian bokmål

=============
Version 3.4.0
=============

  Translators

	* Morn Met (km)
	* Bahodir Mansurov (uz@cyrillic)

=============
Version 3.3.5
=============

  Translators

	* Jiro Matsuzawa (ja)
	* Kjartan Maraas (nb)
	* Danishka Navin (si)
	* Andiswa Mvanyashe (xh)

=============
Version 3.3.1
=============

  libmenu

	* Ignore desktop entries with no Name or Exec key (Florian Müllner)

  Layout

	* Put the Other menu at the end (Vincent)

===============
Version 3.2.0.1
===============

  Menu Editor

	* Work with latest pygobject (Vincent)

=============
Version 3.2.0
=============

  Translators

	* Nilamdyuti Goswami (as)
	* Praveen Illa (te)

==============
Version 3.1.92
==============

  libmenu

	* Fix build failure with --enable-debug (Vincent)

  Translators

	* Ігар Грачышка (be)
	* Daniel Mustieles (es)
	* Jiro Matsuzawa (ja)

==============
Version 3.1.90
==============

  libmenu

        * Don't try to unref potentially NULL pointers (Jasper St. Pierre)

=============
Version 3.1.5
=============

This version of gnome-menus comes with a significant API and ABI break, to
modernize the code. As a result, the name of the library and the pkg-config
filename have changed, so that this new version is parallel-installable with
previous ones.

As of now, there is no guide to migrate to the new API, but it is rather
straight-forward as changes were mostly done to improve the experience for
introspection-based bindings. The examples shipped in util/ are a good basis.

  libmenu

	* Rebase internal representation of .desktop files on top of
	  GDesktopAppInfo (Colin Walters)
	* Make GMenuTree a GObject (Colin Walters)
	* Use GSlice for various data (Colin Walters)
	* Use thread-default main context for callbacks for future flexibility
	  for thread support (Colin Walters)
	* Many API changes, see new headers for changes. The most visible one
	  is that gmenu_tree_load_sync() should explicitly be used to load the
	  menu now. (Colin Walters, Vincent)
	* Drop support for "KDE Desktop Entry" group (Vincent)
	* Return GIcon instead of char * for icon-related API (Vincent)
	* Various fixes and cleanups to merge Colin's branch (Vincent, Colin
	  Walters)
	* Add gmenu_tree_get_entry_by_id() API (Colin Walters)
	* Support XDG_CURRENT_DESKTOP (Vincent)

  Menu Editor

	* Port to introspection-based bindings (Vincent)
	* Stop editing settings.menu (Vincent)

  Python

	* Drop static python bindings; introspection-based ones should be used
	  now (Colin Walters)

  Misc

	* Replace example of python code with javascript code (Colin Walters)
	* Change library name, header directory, pkg-config filename (Vincent)
	* Require glib 2.29.15 for new API (Vincent)

  Translators

	* Ігар Грачышка (be)
	* Gil Forcada (ca@valencia)
	* Priscilla Mahlangu (zu)

=============
Version 3.0.1
=============

  Translators

	* Anousak Souphavanh (lo)
	* Theppitak Karoonboonyanan (th)

=============
Version 3.0.0
=============

  Layout

	* Show administration tools and old capplets in Other (Vincent)

  Translators

	* Khaled Hosny (ar)
	* Zenat Rahnuma (bn)
	* Gil Forcada (ca)
	* Sense Hofstede (fy)
	* Praveen Illa (te)
	* Sahran (ug)
	* Clytie Siddall (vi)

===============
Version 2.91.91
===============

  Menu Editor

	* Fix to work with latest pygi (Vincent)

  Misc

	* Build fix (Vincent)

  Translators

	* F Wolff (af)
	* Changwoo Ryu (ko)
	* Pavol Klačanský (sk)
	* Korostil Daniel (uk)

==============
Version 2.91.6
==============

  libmenu

	* Do not send multiple notifications for one file change (Vincent)

  Menu Editor

	* Port to pygobject-based introspection bindings (Vincent)
	* Make editor GTK+ 3 ready (Vincent)

  Misc

	* Improve introspection build (Vincent)
	* Drop settings.menu (Vincent)

  Translators

	* Gil Forcada (ca@valencia)
	* Mattias Põldaru (et)
	* Mahyar Moghimi (fa)
	* Fran Diéguez (gl)
	* Kikongo Translation Team (kg)
	* Sahran (ug)
	* Clytie Siddall (vi)

==============
Version 2.30.4
==============

  libmenu

	* Clear cache of desktop entries set when files are added/removed
	  (Vincent)

  Misc

	* Associate .gir with pkg-config file (Vincent)
	* Rename --enable-deprecations configure option to
	  --enable-deprecation-flags (Vincent)

  Translators

	* Daniel Martinez (an)
	* Takayuki KUSANO (ja)
	* Baurzhan Muftakhidinov (kk)
	* Torstein Winterseth (nn)

==============
Version 2.30.3
==============

  Menu Editor

	* Respect XDG_MENU_PREFIX when writing user menu file (Vincent)

  Misc

	* Update information in README and other files (Vincent)

  Translators

	* Kristjan SCHMIDT (eo)
	* Sense Hofstede (fy)
	* Fran Diéguez (gl)
	* Reuben Potts (gv)
	* Dirgita (id)
	* Baurzhan M. (kk)
	* Sahran (ug)

==============
Version 2.30.2
==============

  Misc

	* Do not ship gir files in the tarball (Yaakov Selkowitz)

  Translators

	* Daniel Martinez (an)
	* Gil Forcada (ca)
	* Gil Forcada (ca@valencia)
	* Reşat SABIQ (crh)
	* Christian Kirbach (de)
	* Thomas Thurman (en@shaw)
	* Fran Diéguez (gl)
	* Shankar Prasad (kn)
	* Peteris Krisjanis (lv)
	* Wouter Bolsterlee (nl)
	* Matej Urbančič (sl)

==============
Version 2.30.0
==============

  libmenu

	* Fix layout processing for Menuname nodes (Vincent)
	* Never ignore Menuname nodes from DefaultLayout (Vincent)

  Misc

	* Add configure summary (Vincent)

  Translators

	* Gil Forcada (ca)
	* Kostas Papadimas (el)
	* Iñaki Larrañaga Murgoitio (eu)
	* Changwoo Ryu (ko)
	* Badral (mn)

===============
Version 2.29.92
===============

  libmenu

	* Add gobject-introspection support (Vincent)

  Misc

	* Build fix (Vincent)

  Translators

	* Nikos Charonitakis (el)
	* Pavol Klačanský (sk)

===============
Version 2.29.91
===============

  Misc

	* Make some non-visible strings non-translatable (Vincent)
	* Add translator comment (Vincent)

  Translators

	* Fran Diéguez (gl)
	* Torstein Adolf Winterseth (nn)

==============
Version 2.29.6
==============

  libmenu

	* Fix miscalculation for inlining when inline_header = true (Vincent)
	* Add real support for inline aliases during layout processing
	  (Vincent)
	* Support inline alias of an inline alias (Vincent)
	* Do not count non-inlining submenus as inlining with header (Vincent)

  Translators

	* Sadia Afroz (bn)
	* Gil Forcada (ca)
	* Reşat SABIQ (crh)
	* Thomas Thurman (en@shaw)
	* Sveinn í Felli (is)
	* Nils-Christoph Fiedler (nds)
	* Dmitry Yacenko (ru)
	* Krishna Babu K (te)
	* 甘露(Gan Lu) (zh_CN)

================
Version 2.28.0.1
================

  libmenu

	* Fix sorting of menu items during merge to actually work (and not
	  crash) (Frédéric Crozat)

  Python

	* Link the python module to libpython (Frédéric Crozat, Vincent)

==============
Version 2.28.0
==============

  Translators

	* Amitakhya Phukan (as)
	* Petr Kovar (cs)
	* Peter Bach (da)
	* Philip Withnall (en_GB)
	* Rajesh Ranjan (hi)
	* Luca Ferretti (it)
	* Shankar Prasad (kn)
	* Gintautas Miliauskas (lt)
	* Rajesh Ranjan (mai)
	* Peter Ani
	* Sandeep Shedmake (mr)
	* Nils-Christoph Fiedler (nds)
	* A S Alam (pa)
	* Adi Roiban (ro)
	* Matej Urbančič (sl)
	* Daniel Nylander (sv)
	* Krishna Babu K (te)
	* Baris Cicek (tr)
	* Maxim Dziumanenko (uk)
	* Chao-Hsiung Liao (zh_HK)
	* Chao-Hsiung Liao (zh_TW)

===============
Version 2.27.92
===============

This releases features new API that applications can use to display the full
name contained in .desktop files that is now in the X-GNOME-FullName key. If an
application chooses to use this, then it should set the sort key so that
.desktop files are correctly sorted.

  libmenu

	* Add gmenu_tree_entry_get_display_name() API (Vincent)
	  This will return X-GNOME-FullName if available, and fallback to Name.
	* Add gmenu_tree_get_sort_key()/gmenu_tree_set_sort_key() (Vincent)
	  The default sort key is still Name. Users of
	  gmenu_tree_entry_get_display_name() should use
	  gmenu_tree_set_sort_key().

  Python

	* Bind new API (Vincent)
	* Add missing bindings for gmenu_tree_entry_get_generic_name() (Vincent)

  Menu Editor

	* Remove deprecated Encoding key from desktop file (Frédéric Péters)
	* Use display name instead of name (Vincent)

  Translators

	* Khaled Hosny (ar)
	* Alexander Shopov (bg)
	* Runa Bhattacharjee (bn_IN)
	* Denis (br)
	* Mario Blättermann (de)
	* Iñaki Larrañaga Murgoitio (eu)
	* Claude Paroz (fr)
	* Seán de Búrca (ga)
	* Anton Meixome (gl)
	* Sweta Kothari (gu)
	* Gabor Kelemen (hu)
	* Francesco Marletta (it)
	* Takayuki KUSANO (ja)
	* Changwoo Ryu (ko)
	* Kjartan Maraas (nb)
	* Mario Blättermann (nds)
	* Manoj Kumar Giri (or)
	* Tomasz Dominikowski (pl)
	* Duarte Loreto (pt)
	* Krix Apolinário (pt_BR)
	* Горан Ракић (sr)
	* Goran Rakić (sr@latin)
	* Dr.T.Vasudevan (ta)
	* Theppitak Karoonboonyanan (th)
	* 甘露 (Lu Gan) (zh_CN)

==============
Version 2.27.5
==============

  Misc

	* Use silent-rules with automake 1.11 (Vincent)

  Translators

	* Ilkka Tuohela (fi)

==============
Version 2.27.4
==============

  libmenu

	* Improve performance by using a cache to not compute the same thing
	  again and again (Michael Meeks, Vincent)
	* Add API to access GenericName (Robert Staudinger)
	* Fix DefaultLayout attributes not being inherited (Vincent)
	* Do not always inherit parent DefaultLayout attributes (Vincent)
	* Sort inlined items unless inline_header is used (Vincent)

  Menu Editor

	* Add --help and --version arguments (Vincent)
	* Port to GtkBuilder (Pedro Fragoso, Vincent)

  Misc

	* Use shave to improve build log readability (Vincent)

  Translators

	* Jordi Mallach (ca@valencia)
	* Huxain (dv)
	* Jorge González (es)
	* Mattias Põldaru (et)
	* Seán de Búrca (ga)
	* Yaron Shahrabani (he)
	* Daniel Nylander (sv)

==============
Version 2.26.1
==============

  Translators

	* Khaled Hosny (ar)
	* Daniel Nylander (sv)

==============
Version 2.26.0
==============

  Translators

	* Reşat SABIQ (crh)
	* Suso Baleato (gl)
	* Rajesh Ranjan (hi)
	* Francesco Marletta (it)
	* Manoj Kumar Giri (or)

===============
Version 2.25.91
===============

  Translators

	* Changwoo Ryu (ko)
	* Raivis Dejus (lv)
	* Sandeep Shedmake (mr)
	* Горан Ракић (sr)
	* Daniel Nylander (sv)
	* Woodman Tuen (zh_HK)
	* Woodman Tuen (zh_TW)

==============
Version 2.25.5
==============

  Misc

	* Use gnome-common macro to define DEPRECATED build variables (Vincent)

  Translators

	* Reşat SABIQ (crh)
	* Saudat Mohammed (ha)
	* Sylvester Onye (ig)
	* Fajuyitan, Sunday Ayo (yo)

==============
Version 2.25.2
==============

  Fixes

	* Fix a critical warning in the python binding for monitoring a file
	  (Vincent)

  Misc

	* Ship a gnome-menus-ls.py script that is an example of python bindings
	  and that can be used as a replacement for gnome-menu-spec-test
	  (Vincent)

==============
Version 2.24.2
==============

  Translators

	* Mikel González (ast)

==============
Version 2.24.1
==============

  Translators

	* Khaled Hosny (ar)
	* Rostislav "zbrox" Raykov (bg)
	* Margulan Moldabekov (kk)

==============
Version 2.24.0
==============

  Translators

	* F Wolff (af)
	* Khaled Hosny (ar)
	* Roozbeh Pournader (fa)
	* Rajesh Ranjan (hi)
	* Gabor Kelemen (hu)
	* Francesco Marletta (it)
	* Shankar Prasad (kn)
	* Leonardo Ferreira Fontenelle (pt_BR)
	* Mișu Moldovan (ro)

===============
Version 2.23.92
===============

  Translators

	* Seán de Búrca (ga)
	* Krešo Kunjas (hr)
	* Praveen Arimbrathodiyil (ml)
	* Leonardo Ferreira Fontenelle (pt_BR)

===============
Version 2.23.91
===============

  Translators

	* Khaled Hosny (ar)
	* Reuven Gonen (he)
	* Shankar Prasad (kn)

==============
Version 2.23.6
==============

  Layout

	* Fix the icon for the accessibility menu (Matthias Clasen)

  Translators

	* Khaled Hosny (ar)
	* Fabrício Godoy (pt_BR)

==============
Version 2.23.5
==============

  Translators

	* Yannig Marchegay (Kokoyaya) (oc)
	* Wadim Dziedzic (pl)
	* Zabeeh Khan (ps)
	* Laurent Dhima (sq)

==============
Version 2.23.4
==============

  Misc

	* Require intltool 0.40.0 (Vincent)

  Translators

	* 甘露(Lu Gan) (zh_CN)

==============
Version 2.23.3
==============

  Features

	* Implement handling of $XDG_MENU_PREFIX from the xdg menu
	  specification (Vincent)

  Fixes

	* Fix the values of <DefaultLayout> (ie, show_empty, inline,
	  inline_limit, etc.) not being inherited by submenus when the
	  <DefaultLayout> node is after the <Menu> node in the .menu file
	  (Vincent)
	* Fix a bug where the fallback on the filename in <MergeFile> couldn't
	  be used (Vincent)

  Translators

	* Djihed Afifi (ar)
	* Anna Ármansdóttir (is)
	* Manoj Kumar Giri (or)

==============
Version 2.23.1
==============

  Features

	* Do not show separators at the beginning/end of a menu, or after
	  another separator, but add an option to show them (Vincent)

  Fixes

	* Call g_type_init() because GIO needs it and we use GIO for file
	  monitoring (Vincent)
	* Fix a crash when a file notification is emitted with a non-ascii
	  filename (Vincent)
	* Remove entries from the excluded set if they are included after they
	  were excluded (eg:
	  <Exclude>something</Exclude><Include>something</Include>) (Vincent)
	* Implicitly add <Merge> nodes to <Layout> and <DefaultLayout> that are
	  missing some (Vincent)
	* Correctly order the move operations to execute so that moving
	  something and moving it back again works as undo (Vincent)
	* Simplify some code (William Jon McCann, Vincent)
	* Plug leak (Vincent)

  Layout

	* Do not show accessibility items in the accessories submenu
	  (Josselin Mouette)
	* Merge menus and files at the end of the layout of settings.menu
	* Explicitly do not include gnomecc.menu in the preferences menu
	  instead of explicitly excluding it, so that alacarte doesn't know it
	  was excluded (Vincent)
	* Rename many .directory files so they use fd.o Categories as name
	  (Vincent)
	* Remove preferences.menu and directly include things in settings.menu
	  (Vincent)
	* Update a few icons used in .directory files according to the icon
	  naming spec (Vincent)
	* Remove the accessibility submenu from Preferences, since it's empty
	  now anyway (Vincent)

  Misc

	* Remove shebangs from non-executable Python scripts.

  Translators

	* Žygimantas Beručka (lt)
	* Kjartan Maraas (nb)

==============
Version 2.22.1
==============

  Misc

	* Remove shebangs from non-executable Python scripts.

  Translators

	* David Lodge (en_GB)
	* Massimo Furlani (fur)
	* Eskild Hustvedt (nn)

==============
Version 2.22.0
==============

  Translators

	* Petr Kovar (cs)
	* nikosCharonitakis (el)
	* Changwoo Ryu (ko)
	* Žygimantas Beručka (lt)
	* Sandeep Shedmake (mr)
	* Woodman Tuen (zh_HK)
	* Woodman Tuen (zh_TW)

===============
Version 2.21.92
===============

  Translators

	* Massimo Furlani (fur)
	* Sangeeta Kumari (mai)
	* Nabin Gautam (ne)


===============
Version 2.21.91
===============

  Fixes

	* Remove the various monitor backends, and unconditionnaly use gio
	  (Vincent)

  Misc

	* Do not install gnome-menu-spec-test, it's useless for the user
	  (Vincent)
	* Add a hard dependency on gio (Vincent)

  Translators


	* Woodman Tuen (zh_HK)
	* Woodman Tuen (zh_TW)

===============
Version 2.21.90
===============

  Misc

	* When using gio, require version 2.15.2 (Saleem Abdulrasool) 

  Translators


	* Djihed Afifi (ar)
	* Alexander Nyakhaychyk (be)
	* Michael Terry (io)

==============
Version 2.21.5
==============

  Fixes

	* Fix for API changes in gio (Sebastian Bacher, Wouter Bolsterlee,
	  Vincent)

  Translators


	* F Wolff (af)
	* Iñaki Larrañaga Murgoitio (eu)
	* Erdal Ronahi (ku)
	* Kjartan Maraas (nn)
	* Yannig Marchegay (Kokoyaya) (oc)

==============
Version 2.21.3
==============

  Features

	* Fix for api change in gio (Kjartan Maraas)
	* Prevent a major memory leak (Sebastian Droge)

  Translators


	* Petr Kovar (cs)
	* Seán de Búrca (ga)
	* Danishka Navin (si)

==============
Version 2.21.2
==============

  Features

	* Add a new GIO-based monitor backend. It is now the preferred one.
	  The --with-monitor-backend configure flag can be used to select the
	  backend to build. (Sebastian Dröge)

  Translators

	* Anas Husseini (ar)
	* Peter Bach (da)
	* Jorge González (es)
	* Seán de Búrca (ga)
	* Ignacio Casal Quinteiro (gl)
	* Huda Toriq (id)
	* Matej Urbančič (sl)

==============
Version 2.20.1
==============

  Translators

	* Peter Bach (da)

==============
Version 2.20.0
==============

  Translators

	* Anas Husseini (ar)
	* Amitakhya Phukan (as)
	* Jordi Mallach (ca)
	* Peter Bach (da)
	* Simos Xenitellis (el)
	* Francesco Marletta (it)
	* Shankar Prasad (kn)
	* Žygimantas Beručka (lt)
	* Alexandru Szasz (ro)
	* Nickolay V. Shmyrev (ru)
	* Peter Tuhársky (sk)
	* Горан Ракић (sr)
	* Maxim Dziumanenko (uk)

===============
Version 2.19.92
===============

  Fixes

	* Fix potential crash (Rob Bradford)

  Translators

	* Rostislav "zbrox" Raykov (bg)
	* Stéphane Raimbault (fr)
	* Arangel Angov (mk)
	* Tomasz Dominikowski (pl)
	* Leonardo Ferreira Fontenelle (pt_BR)
	* Duarte Loreto (pt)
	* Funda Wang (zh_CN)

===============
Version 2.19.90
===============

  Translators

	* Ani Peter (ml)
	* Inaki Larranaga Murgoitio (eu)
	* Ankit Patel (gu) 
	* Ilkka Tuohela (fi)
	* Yair Hershkovitz (he)
	* Sean Burke (ga) 

==============
Version 2.19.6
==============

  Translators

	* Ihar Hrachyshka (be@latin)
	* Runa Bhattacharjee (bn_IN)
	* Hendrik Richter (de)
	* Ilkka Tuohela (fi)
	* Gabor Kelemen (hu)
	* Eunju Kim (ko)
	* Raivis Dejus (lv)
	* Wouter Bolsterlee (nl)
	* Bharat Kumar (te)
	* Nurali Abdurahmonov (uz@cyrillic)

==============
Version 2.19.5
==============

  Fixes

	* Use python-config to get python includes (Sebastien Bacher)
	* Don't show screensavers in the menus (Ray Strode)

  Translators

	* Tshewang Norbu (dz)
	* Takeshi AIHANA (ja)
	* Tomasz Dominikowski (pl)
	* Danishka Navin (si)
	* Daniel Nylander (sv)
	* Dr.T.Vasudevan (ta)
	* Bharat Kumar (te)
	* Nurali Abdurahmonov (uz)
	* Clytie Siddall (vi)

==============
Version 2.19.4
==============

  Fixes

	* Fix crashes in python bindings (Colin Walters)
	* Fix crash in inotify backend when ~/.config/menus is created
	  (Vincent)

  Translators

	* Alexander Nyakhaychyk (be)

==============
Version 2.19.3
==============

  Fixes

	* Use G_DIR_SEPARATOR instead of '/' (Vincent)
	* Fix small leak (William KJon McCann)

  Translators

	* David Lodge (en_GB)
	* Jorge González (es)
	* Ivar Smolin (et)
	* Theppitak Karoonboonyanan (th)

==============
Version 2.19.2
==============

  Menu Layout

	* Fix "system-wide" typo (Vincent)
	* Put Preferences before Administration in the System menu (Vincent)
	* Use icons from the icon naming spec (Luca Ferreti, Matthias Clasen,
	  Vincent)
	* Use Universal Access instead of Accessibility (Calum Benson, Vincent)
	* Use System instead of Desktop since the menu got renamed 
	  (Sébastien Bacher)
	* Do not require the Application category in the Other submenu (Vincent)

  Menu Editor

	* Fix a crash when unselecting the current menu (Vincent)
	* Require pygtk at runtime (Vincent)
	* Use the python executable found by configure (Vincent)

  Misc

	* Require automake 1.9

  Translators

	* Ihar Hrachyshka (be@latin)
	* norbu (dz)
	* Jorge González (es)
	* Iñaki Larrañaga Murgoitio (eu)
	* Ignacio Casal Quinteiro (gl)
	* Francesco Marletta (it)
	* Raivis Dejus (lv)
	* Kjartan Maraas (nb)
	* Yannig MARCHEGAY (Kokoyaya) (oc)
	* Matej Urbančič (sl)
	* Daniel Nylander (sv)

==============
Version 2.18.0
==============

  Translators

	* Alaksandar Navicki (be@latin)
	* Peter Bach (da)
	* Simos Xenitellis (el)
	* Ankit Patel (gu)
	* Žygimantas Beručka (lt)
	* wadim dziedzic (pl)
	* Elian Myftiu (sq)
	* Горан Ракић (sr)

===============
Version 2.17.92
===============

  Fixes

	* Show the system menu directories by default (as it was in 2.16)
	  (Denis Washington)

  Translators

	* Peter Bach (da)
	* Takeshi AIHANA (ja)
	* Duarte Loreto (pt)
	* Clytie Siddall (vi)
	* Funda Wang (zh_CN)
	* Woodman Tuen (zh_HK)
	* Woodman Tuen (zh_TW)

===============
Version 2.17.91
===============

  Features

	* Rework the layout so that it's easy to have the old layout. The
	  control center will ship its own menu file to have the layout for the
	  shell. (Denis Washington)

  Translators

	* Khaled Hosny (ar)
	* Ihar Hrachyshka (be)
	* Alaksandar Navicki (be@latin)
	* Rostislav "zbrox" Raykov (bg)
	* Runa Bhattacharjee (bn_IN)
	* Mahay Alam Khan (bn)
	* Jordi Mallach (ca)
	* Jakub Friedl (cs)
	* Rhys Jones (cy)
	* Hendrik Richter (de)
	* David Lodge (en_GB)
	* Ivar Smolin (et)
	* Ilkka Tuohela (fi)
	* Robert-André Mauchin (fr)
	* Reuven Gonen (he)
	* Rajesh Ranjan (hi)
	* Gabor Kelemen (hu)
	* Young-Ho Cha (ko)
	* Žygimantas Beručka (lt)
	* Jovan Naumovski (mk)
	* Badral (mn)
	* Kjartan Maraas (nb)
	* Wouter Bolsterlee (nl)
	* Og Maciel (pt_BR)
	* Leonid Kanter (ru)
	* Steve Murphy (rw)
	* Daniel Nylander (sv)
	* Theppitak Karoonboonyanan (th)
	* Clytie Siddall (vi)

==============
Version 2.17.5
==============

  Features

	* New menu layout for the control center capplets (Denis Washington)

  Translators

        * Khaled Hosny (ar)
        * Ihar Hrachyshka (be)

==============
Version 2.17.2
==============

  Features

        * Flesh out inotify support (use --enable-inotify) (Mark)

  Fixes

        * Don't load incorrectly encoded .desktop files (Mark)
        * Fix compile warning (Mark)

  Translators

        * Khaled Hosny (ar)
        * Guillaume Savaton (eo)

==============
Version 2.16.1
==============

  Translators

	* David Lodge (en_GB)
	* Francesco Marletta (it)

==============
Version 2.16.0
==============

  Translators

	* Gabor Kelemen (hu)
	* Jovan Naumovski (mk)
	* Badral (mn)
	* Rahul Bhalerao (mr)
	* Matic Žgur (sl)
	* Onur Can Çakmak (tr)

===============
Version 2.15.91
===============

  Translators

	* Runa Bhattacharjee (bn_IN)
	* Francisco Javier F. Serrador (es)
	* Arangel Angov (mk)
	* Matic Žgur (sl)

===============
Version 2.15.90
===============

  Translators

	* Ani Peter (ml)
	* Subhransu Behera (or)
	* Theppitak Karoonboonyanan (th)

================
Version 2.15.4.1
================

  Fixes

	* Correctly update LT_VERSION (Vincent)

==============
Version 2.15.4
==============

  Features

	* Add new API to know if an application should be launched in a
	  terminal and to know the path to the desktop file (Travis Watkins)
	* Complete python bindings for the "No Display" flag (Travis Watkins)

  Menu Editor

	* Allow specifying alternate menu files as command line arguments
	  (William Jon McCann)

  Misc

	* Use po/LINGUAS (Wouter Bolsterlee)
	* Require intltool 0.35.0 (Vincent Untz)

  Translators

       * Runa Bhattacharjee (bn_IN)
       * Matheus Grandi (gn)
       * Swapnil Hajare (mr)

==============
Version 2.14.0
==============

 Features

        * Start inotify support (not compiled by default) (Mark McLoughlin)

 Fixes

        * Small fix for the python bindings (Mark McLoughlin)
        * Fix infinite loop (Mark McLoughlin)

  Translators

       * Ales Nyakhaychyk (be)
       * Jérémy Le Floc'h (br)
       * Petr Tomeš (cs)
       * Rhys Jones (cy)
       * Ole Laursen (da)
       * Hendrik Richter (de)
       * Pema Geyleg (dz)
       * Kostas Papadimas (el)
       * Reuven Gonen (he)
       * Rajesh Ranjan (hi)
       * Takeshi AIHANA (ja)
       * Vladimer Sichinava (ka)
       * Erdal Ronahi (ku)
       * Žygimantas Beručka (lt)
       * Raivis Dejus (lv)
       * Thierry Randrianiriana (mg)
       * Wouter Bolsterlee (nl)
       * Kjartan Maraas (nn)
       * GNOME PL Team (pl)
       * Evandro Fernandes Giovanini (pt_BR)
       * Duarte Loreto (pt)
       * Sebastian Ivan (ro)
       * Leonid Kanter (ru)
       * Elian Myftiu (sq)
       * Слободан Д. Средојевић (sr)
       * Maxim Dziumanenko (uk)
       * Funda Wang (zh_CN)
       * Woodman Tuen (zh_HK)
       * Woodman Tuen (zh_TW)

==============
Version 2.13.5
==============

 Features

        * Add "include NoDisplay" flag (Mark McLoughlin)

 Fixes

        * Fix issue where menu wouldn't fully reload after lots of
          file change events (Mark McLoughlin, Frederic Crozat)
        * Remove some unused code (Kjartan Maraas)
        * Fix incorrect escaping of C format string (The Written Word)

  Translators

       * Rostislav Raykov (bg)
       * Mahay Alam Khan (bn)
       * Jordi Mallach (ca)
       * Miloslav Trmac (cs)
       * Adam Weinberger (en_CA)
       * Francisco Javier F. Serrador (es)
       * Priit Laes (et)
       * Iñaki Larrañaga (eu)
       * Ilkka Tuohela (fi)
       * Christophe Merlet (RedFox) (fr)
       * Ignacio Casal Quinteiro (gl)
       * Ankit Patel (gu)
       * Gabor Kelemen (hu)
       * Francesco Marletta (it)
       * Erdal Ronahî (ku)
       * Timur Jamakeev (ky)
       * Kjartan Maraas (nb, no)
       * Tino Meinen (nl)
       * Marcel Telka (sk)
       * Christian Rose (sv)
       * Y.Kiran Chandra (te)
       * Theppitak Karoonboonyanan (th)
       * Abduxukur Abdurixit (ug)
       * Clytie Siddall (vi)
       * Woodman Tuen (zh_HK, zh_TW)

==============
Version 2.12.0
==============

 Fixes

	* Fix FAM crasher in gmenu-simple-editor (Ed Catmur)

 Translators

	* Rhys Jones (cy)
	* Vincent Untz (fr)
	* Ignacio Casal Quinteiro (gl)
	* Norayr Chilingaryan (hy)
	* Žygimantas Beručka (lt)
	* Duarte Loreto (pt)
	* Leonid Kanter (ru)
	* Elian Myftiu (sq)
	* Данило Шеган (sr)
	* Onur Can Cakmak (tr)
	* Clytie Siddall (vi)

===============
Version 2.11.92
===============

 Fixes

	* Fix memory corruption crasher handling notifies (Mark)
	* Fix python syntax warning (Mark)
	* Fix build when FAM isn't found (Elijah Newren)
	* Fix crasher when a <AppDir> references a subdir of another <AppDir> (Mark)
	* Fix duplicate entries after updating (Mark)
	* Fix infinite loop (Frederic Crozat)
	* Make <LegacyDir> with prefix work again (Chris Lahey, Mark)

  Translators

	* Rostislav "zbrox" Raykov (bg)
	* Jordi Mallach (ca)
	* Hendrik Brandt (de)
	* Nikos Charonitakis (el)
	* Roozbeh Pournader (fa)
	* ahmad riza h nst (id)
	* Takeshi AIHANA (ja)
	* Young-Ho Cha (ko)
	* GNOME PL Team (pl)
	* Sebastian Ivan (ro)
	* Maxim Dziumanenko (uk)
	* Clytie Siddall (vi)

===============
Version 2.11.91
===============

  Fixes

	* Install .desktop file for editor (Dennis Cranston, Mark)
	* Fix the window icon in the editor (Jaap A. Haitsma, Mark)
	* Allow running editor in different prefix from python (Mark)

  Translators

	* Miloslav Trmac (cs)
	* Hendrik Brandt (de)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Priit Laes (et)
	* Ilkka Tuohela (fi)
	* Ankit Patel (gu)
	* Reuven Gonen (he)
	* Gabor Kelemen (hu)
	* Takeshi AIHANA (ja)
	* Kjartan Maraas (nb)
	* Tino Meinen (nl)
	* Kjartan Maraas (no)
	* Afonso Celso Medina (pt_BR)
	* Marcel Telka (sk)
	* Theppitak Karoonboonyanan (th)
	* Clytie Siddall (vi)
	* Funda Wang (zh_CN)
	* Woodman Tuen (zh_TW)

===============
Version 2.11.90
===============

  Fixes

	* Fix issue with handling of filename encodings (Mark)
	* Only try to include ".directory" for <LegacyDir> if it exists (Mark)
	* Re-name the Edutainment sub-menu to Education (Mark)
	* Fix spec compliance issue with <Merge> tag handling (Mark)
	* Remove some unused code (Mark)
	* Plug some leaks (Mark)

  Menu Editor

	* HIGify menu editor (Dennis Cranston)
	* Make "Desktop" menu appear correctly (Mark)

  Misc

	* Allow building against uninstalled library (Brian Cameron)

  Translators

	* Ales Nyakhaychyk (be)
	* Rostislav "zbrox" Raykov (bg)
	* Miloslav Trmac (cs)
	* Martin Willemoes Hansen (da)
	* Hendrik Brandt (de)
	* Nikos Charonitakis (el)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Priit Laes (et)
	* Iñaki Larrañaga (eu)
	* Ilkka Tuohela (fi)
	* Ignacio Casal Quinteiro (gl)
	* Ankit Patel (gu)
	* Yuval Tanny (he)
	* Swapnil Hajare (mr)
	* Terance Edward Sola (nb)
	* Ganesh Ghimire (ne)
	* Tino Meinen (nl)
	* Terance Edward Sola (no)
	* Marcel Telka (sk)
	* Elian Myftiu (sq)
	* Данило Шеган (sr)
	* Theppitak Karoonboonyanan (th)
	* Onur Can Cakmak (tr)
	* Clytie Siddall (vi)
	* Funda Wang (zh_CN)
	* Woodman Tuen (zh_TW)

================
Version 2.11.1.1
================

  Fixes

	* Fix crasher bug in libgnome-menu triggered by editor (Mark)
	* Make the editor create $XDG_CONFIG_HOME/menus if it doesn't exist (Mark)

==============
Version 2.11.1
==============

  Features

	* Simple menu editor (Mark)
	* Python bindings (Mark)
	* Support for <Layout> and <DefaultLayout> (Mark, Frederic Crozat)
        * Use FAM directly for monitoring rather than gnome-vfs (Mark)
	* Add API for retaining empty sub-menus and excluded items in
	  the GMenuTree (Mark, Christian Neumair)
        * Add gmenu_tree_directory_get_menu_id() API (Mark)
        * Add gmenu_tree_directory_get_tree() and gmenu_tree_get_menu_file()
          API (Mark)
	* Namespace the API - i.e. MenuTree -> GMenuTree (Mark)

  Fixes

	* Plug major memory leak when the menu is reloaded (Mark)
        * Fix "recursive <MergeFile> inclusion" crash (Mark)
        * Fix problem where you could end up with identical items in
          the same menu (Mark)
	* Fix issue where you could end up with more than one menu
          with the same name (Mark)
        * Update for changes to <Move> behaviour in spec (Mark)
        * Fix off-by-one errors shown up in valgrind (Mark)
	* Remove <LegacyDir>s from default menu (Mark)

   Translators

	* Vladimir "Kaladan" Petkov (bg)
	* Miloslav Trmac (cs)
	* Hendrik Brandt (de)
	* Adam Weinberger (en_CA)
	* David Lodge (en_GB)
	* Francisco Javier F. Serrador (es)
	* Priit Laes (et)
	* Iñaki Larrañaga (eu)
	* Takeshi AIHANA (ja)
	* Steve Murphy (rw)
	* Canonical Ltd (xh)

==============
Version 2.10.1
==============

  Fixes

	* Add support for new "type" argument to <MergeFile> (Mark)
	* Monitor <MergeDir>s for changes (Mark)
	* Make user desktop entries override system ones (Mark)
	* Make .directory files in <LegacyDir>s be pulled in (Mark)
	* Fix weirdess with [KDE Desktop Entry] files (Mark)
	* Fix <LegacyDir>s which don't contain any entries in the toplevel (Mark)
	* Make sure items in <LegacyDir>s as allocated (Mark)
	* Make <LegacyDir>s with a prefix work correctly (Mark)

  Translators

	* Adam Weinberger (en_CA)
	* Daniel van Eeden (nl)

==============
Version 2.10.0
==============

  Fixes

	* Fix 64-bit crasher (Jeremy Katz)

  Translators

	* Dafydd Harries (cy)
	* Farzaneh Sarafraz (fa)
	* Rajesh Ranjan (hi)
	* Žygimantas Beručka (lt)
	* Данило Шеган (sr)
	* Woodman Tuen (zh_TW)

==============
Version 2.9.92
==============

  Fixes

	* Fix issue with file monitoring and subdirs of <AppDir> (Mark)
	* Fix bug with the <Not> directive (Mark)
	* Make gnome-menu-spec-test work with menu-spec test framework again (Mark)

  Translators

	* Arafat Medini (ar)
	* Jordi Mallach (ca)
	* Martin Willemoes Hansen (da)
	* Nikos Charonitakis (el)
	* David Lodge (en_GB)
	* Ankit Patel (gu)
	* Laszlo Dvornik (hu)
	* ahmad riza h nst (id)
	* Francesco Marletta (it)
	* Takeshi AIHANA (ja)
	* Sang-Gju Kim (ko)
	* Rajeev Shrestha (ne)
	* Daniel van Eeden (nl)
	* GNOME PL Team (pl)
	* Duarte Loreto (pt)
	* Dan Damian (ro)
	* Leonid Kanter (ru)
	* Elian Myftiu (sq)

==============
Version 2.9.90
==============

  Fixes

	* Do not include the Core category in the Other menu (Vincent Untz)

  Translators

	* Vladimir "Kaladan" Petkov (bg)
	* Francisco Javier F. Serrador (es)
	* Priit Laes (et)
	* Tommi Vainikainen (fi)
	* Baptiste Mille-Mathias (fr)
	* Žygimantas Beručka (lt)
	* Kjartan Maraas (nb)
	* Kjartan Maraas (nn)
	* Raphael Higino (pt_BR)
	* Marcel Telka (sk)
	* Christian Rose (sv)
	* Theppitak Karoonboonyanan (th)
	* Maxim Dziumanenko (uk)

===============
Version 2.9.4.1
===============

  Features

	* Add menu_tree_entry_get_exec() (Richard Hult)

  Translators

	* Miloslav Trmac (cs)
	* Kjartan Maraas (nb)

=============
Version 2.9.4
=============

  Fixes

	* New menus layout (Vincent Untz)
	* Reload menus correctly when they are deleted/updated (Frederic Crozat)
	* Ref the return value from menu_tree_entry_get_parent() (Mark)

  Translators

	* Hendrik Brandt (de)
	* Adam Weinberger (en_CA)
	* Baptiste Mille-Mathias (fr)
	* Arangel Angov (mk)

=============
Version 2.9.3
=============

  Fixes

	* Find the right icon path in desktop files (Frederic Crozat)
	* Handle root path correctly (Mark)
	* Always remove file monitors (Mark)
	* Plug leak (Vincent Untz)
	* Implement behaviour defined in version 0.9 of the spec: entries that
	  match an <Include> rule and an <Exclude> rule are marked as
	  "allocated" (Mark)

  Translators

	* Vladimir "Kaladan" Petkov (bg)
	* David Nielsen (da)
	* Hendrik Brandt (de)
	* Simos Xenitellis (el)
	* Iñaki Larrañaga (eu)
	* Tommi Vainikainen (fi)
	* Gabor Kelemen (hu)
	* Žygimantas Beručka (lt)
	* Duarte Loreto (pt)
	* Dmitry G. Mastrukov (ru)
	* Marcel Telka (sk)
	* Данило Шеган (sr)
	* Christian Rose (sv)
	* Theppitak Karoonboonyanan (th)

=============
Version 2.9.2
=============

  Fixes

	* Fix a bunch of leaks (Frederic Crozat)
	* Fix problem where menu entries appear in random places (Mark)
	* Don't go into an infinite loop if $XDG_CONFIG_DIRS is set wrong (Mark)
	* Put the user config/data dirs before the system dirs (Mark)
	* Allow removing monitors from handlers (Mark)

  Translators

	* Miloslav Trmac (cs)
	* Hendrik Brandt (de)
	* Adam Weinberger (en_CA)
	* Francisco Javier F. Serrador (es)
	* Satoru SATOH (ja)
	* Hasbullah Bin Pit (ms)
	* Kjartan Maraas (nb)
	* Daniel van Eeden (nl)
	* Raphael Higino (pt_BR)
	* Funda Wang (zh_CN)

